org.codehaus.groovy.runtime.callsite

## Class ConstructorSite.ConstructorSiteNoUnwrapNoCoerce

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.AbstractCallSite
  - - org.codehaus.groovy.runtime.callsite.MetaClassSite
    - - org.codehaus.groovy.runtime.callsite.ConstructorSite
      - - org.codehaus.groovy.runtime.callsite.ConstructorSite.ConstructorSiteNoUnwrapNoCoerce

- All Implemented Interfaces:
    CallSite
  Direct Known Subclasses:
    ConstructorSite.NoParamSite, ConstructorSite.NoParamSiteInnerClass
  Enclosing class:
    ConstructorSite

      public static class ConstructorSite.ConstructorSiteNoUnwrapNoCoerce
      extends ConstructorSite

  Call site where we know there is no need neither unwrap nor coerce arguments

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.callsite.ConstructorSite

      `ConstructorSite.ConstructorSiteNoUnwrap, ConstructorSite.ConstructorSiteNoUnwrapNoCoerce, ConstructorSite.NoParamSite, ConstructorSite.NoParamSiteInnerClass`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

      `metaClass`

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstructorSiteNoUnwrapNoCoerce(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `callConstructor(Object receiver, Object[] args)`

    - ### Methods inherited from class org.codehaus.groovy.runtime.callsite.ConstructorSite

      `checkCall, createConstructorSite`

    - ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstructorSiteNoUnwrapNoCoerce

          public ConstructorSiteNoUnwrapNoCoerce(CallSite site,
                                                 MetaClassImpl metaClass,
                                                 CachedConstructor constructor,
                                                 Class[] params)

  - ### Method Detail

    - #### callConstructor

          public Object callConstructor(Object receiver,
                                        Object[] args)
                                 throws Throwable

      Specified by:
        `callConstructor` in interface `CallSite`
      Overrides:
        `callConstructor` in class `ConstructorSite`
      Throws:
        `Throwable`